routes/web.php
<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

// Illuminate\Auth\Middleware\Authenticate
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/',function(){
    return redirect(route('login'));
});
Route::post('logout-system', '\App\Http\Controllers\Auth\LoginController@logout')->name('logout-system');
Route::get('logs', [\Rap2hpoutre\LaravelLogViewer\LogViewerController::class, 'index']);

Auth::routes();

app/Models/User.php
<?php

/**
 * Created by Reliese Model.
 */

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Spatie\Permission\Traits\HasRoles;
use App\Traits\Uuid;

/**
 * Class User
 * 
 * @property int $id
 * @property string $name
 * @property string $email
 * @property Carbon|null $email_verified_at
 * @property string $password
 * @property Carbon|null $created_at
 * @property string|null $created_by
 * @property Carbon|null $updated_at
 * @property string|null $updated_by
 * @property Carbon|null $deleted_at
 * @property string|null $deleted_by
 * 
 * @property Collection|Administrator[] $administrators
 * @property Collection|Customer[] $customers
 *
 * @package App\Models
 */
class User extends Authenticatable
{

	public $timestamps = false;
	public $incrementing = false;
	
	use SoftDeletes, Notifiable, HasRoles, Uuid;
	
	protected $table = 'user';
	protected $primaryKey = 'uuid';
	protected $keyType = 'string';
	protected $casts = [
		'uuid' => 'string'
	];
	protected $hidden = [
		'password'
	];

	protected $fillable = [
		'uuid',
		'company_uuid',
		'name',
		'email',
		'password',
		'phone',
		'address',
		'photo',
		'is_superadmin',
		'assign_to',
		'helpdesk_category_id',
		'is_verify',
		'status',
		'bio',
		'url_fb',
		'url_instagram',
		'url_twitter',
		'is_hide',
		'birthdate',
		'gender',
		'token',
		'created_at',
		'created_by',
		'updated_at',
		'updated_by',
		'deleted_at',
		'deleted_by',
	];

	public function getRoleAttribute()
	{
		return session('sess_user')->nama_role;
	}

}

resources/views/layouts/footer.blade.php
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-6">
                                <script>
                                    document.write(new Date().getFullYear())
                                </script> © Yelow.
                            </div>
                            <div class="col-sm-6">
                                <div class="text-sm-end d-none d-sm-block">
                                    Design & Develop by PT. Abinaya Madani Adyatama
                                </div>
                            </div>
                        </div>
                    </div>
                </footer>
                </div>
                <!-- end main content-->

                </div>
                <!-- END layout-wrapper -->

                {{-- CKEditor --}}
                <script src="//cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>
                <!-- JAVASCRIPT -->
                <script src="{{ asset('backend/assets/libs/jquery/jquery.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/metismenu/metisMenu.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/simplebar/simplebar.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/node-waves/waves.min.js') }}"></script>

                <!-- apexcharts -->
                <script src="{{ asset('backend/assets/libs/apexcharts/apexcharts.min.js') }}"></script>

                <!-- dashboard init -->
                <script src="{{ asset('backend/assets/js/pages/dashboard.init.js') }}"></script>

                <!-- Required datatable js -->
                <script src="{{ asset('backend/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
                <!-- Buttons examples -->
                <script src="{{ asset('backend/assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/jszip/jszip.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/pdfmake/build/pdfmake.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/pdfmake/build/vfs_fonts.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/datatables.net-buttons/js/buttons.colVis.min.js') }}"></script>

                <!-- Responsive examples -->
                <script src="{{ asset('backend/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js') }}">
                </script>

                <!-- Datatable init js -->
                <script src="{{ asset('backend/assets/js/pages/datatables.init.js') }}"></script>

                <!--tinymce js-->
                <script src="{{ asset('backend/assets/libs/tinymce/tinymce.min.js') }}"></script>

                <!-- init js -->
                <script src="{{ asset('backend/assets/js/pages/form-editor.init.js') }}"></script>

                <!-- form repeater js -->
                <script src="{{ asset('backend/assets/libs/jquery.repeater/jquery.repeater.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/pages/form-repeater.int.js') }}"></script>

                <!-- Sweet Alert -->
                <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/6.6.9/sweetalert2.min.js"></script>
                
                <!-- Datepicker -->
                <script src="{{ asset('backend/assets/libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
                <script src="{{ asset('backend/assets/libs/@chenfengyuan/datepicker/datepicker.min.js') }}"></script>

                <!-- App js -->
                <script src="{{ asset('backend/assets/js/app-backend.js') }}"></script>
                <script type="text/javascript">
                    // $('input').attr('autocomplete', 'off');
                    setTimeout(function() {
                        $('#notification').fadeOut('slow');
                    }, 3000);

                    function konfirmasiHapus(ev) {
                        ev.preventDefault();
                        var urlHapus = ev.currentTarget.getAttribute('href');
                        swal({
                            title: "Are you sure want to delete this data?",
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Yes",
                            cancelButtonText: "No",
                            closeOnConfirm: false,
                            closeOnCancel: false
                        })
                        .then((willDelete) => {
                            if (willDelete) {
                                window.location.href = urlHapus;
                            } else {
                                swal("Hapus gagal.");
                            }
                        });
                    }

                    function konfirmasiLogout(ev) {
                        ev.preventDefault();
                        swal({
                            title: "Are you sure want to logout?",
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Yes",
                            cancelButtonText: "No",
                            closeOnConfirm: false,
                            closeOnCancel: false
                        })
                        .then((willDelete) => {
                            if (willDelete) {
                                document.getElementById('logout-form').submit();
                            } else {
                                swal("Logout failed.");
                            }
                        });
                    }

                </script>
                @yield('scripts')
                </body>

                </html>

resources/views/layouts/header.blade.php
<!doctype html>
<html lang="en">

<head>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta charset="utf-8" />
    @yield('title')
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="Premium Multipurpose Admin & Dashboard Template" name="description" />
    <meta content="Themesbrand" name="author" />
    <!-- App favicon -->
    <link rel="shortcut icon" href="{{ asset('backend/assets/images/logologin.ico') }}">

    <!-- DataTables -->
    <link href="{{ asset('backend/assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />

    <!-- Responsive datatable examples -->
    <link href="{{ asset('backend/assets/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />

    <!-- Bootstrap Css -->
    <link href="{{ asset('backend/assets/css/bootstrap.css') }}" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="{{ asset('backend/assets/css/icons.css') }}" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="{{ asset('backend/assets/css/app.css') }}" id="app-style" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/6.6.9/sweetalert2.min.css">
    <!-- Datepicker-->
    <link href="{{ asset('backend/assets/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="{{ asset('backend/assets/libs/@chenfengyuan/datepicker/datepicker.min.css') }}">

</head>

<body data-sidebar="dark">

    <!-- <body data-layout="horizontal" data-topbar="dark"> -->

    <!-- Begin page -->
    <div id="layout-wrapper">


        <header id="page-topbar">
            <div class="navbar-header">
                <div class="d-flex">
                    <!-- LOGO -->
                    <div class="navbar-brand-box">
                        <a href="{{ route('home') }}" class="logo logo-dark">
                            <span class="logo-sm">
                                <img src="{{ asset('backend/assets/images/logo.png') }}" alt="" height="22">
                            </span>
                            <span class="logo-lg">
                                <img src="{{ asset('backend/assets/images/logo.png') }}" alt="" height="17">
                            </span>
                        </a>

                        <a href="{{ route('home') }}" class="logo logo-light">
                            <span class="logo-sm">
                                <img src="{{ asset('backend/assets/images/yelow_m.png') }}" alt="" height="30">
                            </span>
                            <span class="logo-lg">
                                <img src="{{ asset('backend/assets/images/logo.png') }}" alt="" height="55">
                            </span>
                        </a>
                    </div>

                    <button type="button" class="btn btn-sm px-3 font-size-16 header-item waves-effect" id="vertical-menu-btn">
                        <i class="fa fa-fw fa-bars"></i>
                    </button>

                </div>

                <div class="d-flex">

                    <div class="dropdown d-inline-block">
                        <button type="button" class="btn header-item waves-effect" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img class="rounded-circle header-profile-user" src="{{ asset('backend/assets/images/admin.png') }}" alt="Header Avatar">
                            <span class="d-none d-xl-inline-block ms-1" key="t-henry">{{ session('sess_user')->name }}</span>
                            <i class="mdi mdi-chevron-down d-none d-xl-inline-block"></i>
                        </button>
                        <div class="dropdown-menu dropdown-menu-end">
                            <!-- item-->
                            <a class="dropdown-item" href="{{ route('user.edit', session('sess_user')->uuid) }}"><i class="bx bx-user font-size-16 align-middle me-1"></i> <span key="t-profile">Profile</span></a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item text-danger" href="href=" {{ route('logout') }}" onclick="konfirmasiLogout(event)""><i class=" bx bx-power-off font-size-16 align-middle me-1 text-danger"></i>
                                <span key="t-logout">Logout</span></a>
                            <form id="logout-form" action="{{ route('logout-system') }}" method="POST" style="display: none;">
                                @csrf
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </header>

resources/views/layouts/master.blade.php
@include('layouts.header')
@include('layouts.sidebar')
@yield('content')
@include('layouts.footer')

resources/views/layouts/sidebar.blade.php
            <!-- ========== Left Sidebar Start ========== -->
            <div class="vertical-menu">

                <div data-simplebar class="h-100">

                    <!--- Sidemenu -->
                    <div id="sidebar-menu">
                        <!-- Left Menu Start -->
                        <ul class="metismenu list-unstyled" id="side-menu">

                            @foreach(session('sess_menu') as $menu)
                                @foreach(session('sess_usermenu') as $userMenu)
                                    @if($userMenu->menu_name == str_replace(' ', '', strtolower($menu->name)))
                                        <li>
                                            <a href="{{ $menu->url }}" class="@if($menu->is_parent == 1) has-arrow @endif waves-effect">
                                                <i class="{{ $menu->icon }}"></i>
                                                <span key="t-{{ $menu->name }}">{{ $menu->name }}</span>
                                            </a>
                                            @if($menu->is_parent == 1)
                                            <ul class="sub-menu" aria-expanded="false">
                                            @foreach(session('sess_submenu') as $submenu)
                                                @if($submenu->menu_id == $menu->uuid)
                                                    <li><a href="{{ $submenu->url }}" key="t-{{ strtolower($submenu->name) }}">{{ $submenu->name }}</a></li>
                                                    {{-- @if(auth()->user()->can(str_replace(' ', '', strtolower($submenu->menu->name)).'-'.str_replace(' ', '', strtolower($submenu->name))))
                                                    @endif --}}
                                                @endif
                                            @endforeach
                                            </ul>
                                            @endif
                                        </li>
                                    @endif
                                @endforeach
                            @endforeach
                            
                            @if(Auth::user()->role == 'superadmin' || Auth::user()->role == 'admin')
                            <li>
                                <a href="javascript: void(0);" class="has-arrow waves-effect">
                                    <i class="bx bx-cog"></i>
                                    <span key="t-utilitas">Utility</span>
                                </a>
                                <ul class="sub-menu" aria-expanded="false">
                                    <li><a href="{{ route('user.index') }}" key="t-user">User</a></li>
                                    <li><a href="{{ route('role.index') }}" key="t-role">Role</a></li>
                                    <li><a href="{{ route('user.roles_permission') }}" key="t-permission">Permission</a></li>
                                    <li><a href="{{ route('menu.index') }}" key="t-menu">Menu</a></li>
                                    <li><a href="{{ route('submenu.index') }}" key="t-submenu">Submenu</a></li>
                                </ul>
                            </li>
                            @endif
                            <li>
                                <a href="javascript: void(0);" onclick="konfirmasiLogout(event)" class="waves-effect">
                                    <i class="bx bx-power-off"></i>
                                    <span key="t-logout">Logout</span>
                                </a>
                                <form id="logout-form" action="javascript: void(0);" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </li>

                        </ul>
                    </div>
                    <!-- Sidebar -->
                </div>
            </div>
            <!-- Left Sidebar End -->